Update

Triggers new syncronization for the Item, optionally updating the stored credentials.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint must be called to trigger a new synchronization with the Institution.
The credentials are optional in this case, if they are not provided, it will use the stored ones.

If you want to send a new set of credentials necessary to execute the connector, you will have to review the credentials defined in the GET /connectors, which returns a credentials array for the specific connector.

This object will be created as key-value pairs, the name of the credential the key, and the user's input the value.

{}
{
  "user": "user-ok",
  "password": "password-ok"
}
{
  "token": "123456" 
}
❗️

MFA 1-Step

If the connector requires an MFA parameter such as a Token to execute an update, you will be required to send a valid MFA and a different one from the last execution, to start a new synchronization. Otherwise you will get for both scenarios an HTTP 400 error message to send a correct input.

Path Params
uuid
required

Item primary identifier

Body Params

Update item request

Update Item Request

parameters

Parameters to update on the item stored credentials.

string

Client's external identifier for the user, it can be a ID, UUID or even an email. This is free for clients to use.

uri

Url to be notified of item changes

products
array of strings

Products to be collected in the connection

products
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json